Search
K
Illustration-Client-Cases

Zinnia Illustration Client Cases Api

v1OAS 3.0

Zinnia Illustration Client Cases Api - OpenAPI 3.0 spec

API Base URL
  • Server 1:https://dev.api.zinnia.io

    Main server address for this environment

Security
Auth0 (openIdConnect)

Get a single client case with the specified id

get
https://dev.api.zinnia.io/client-case-manager/v1/client-case/{caseId}

Path Parameters

caseIdstring(uuid)required

Response

application/json

Client case found

ClientCaseDto

* Additional properties are NOT allowed.
agencyIdstring | null
agencyNamestring | null
idstring(uuid)
carrierCodearray | null[string]
submittedboolean
titlestring | null
caseManagementCaseIdstring | null
eAppIdstring | null
planCodearray | null[string]
allowAgentEditboolean
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
transactionTypestring

Allowed values:REPLACEMENTNONREPLACEMENTCONVERSION

isMecboolean
originalFaceAmountnumber | null(double)
illustrationsarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
lastModifiedstring(date-time)
lastModifiedBystring | null
createdBystring | null
creatorNamestring | null
get/client-case-manager/v1/client-case/{caseId}
 
application/json

Update an existing client case

patch
https://dev.api.zinnia.io/client-case-manager/v1/client-case/{caseId}

Path Parameters

caseIdstring(uuid)required

Body

ClientCaseUpdateInputDto

* Additional properties are NOT allowed.
titlestring | null
agencyIdstring | null
caseManagementCaseIdstring | null
eAppIdstring | null
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters

Response

application/json

Client case updated successfully

ClientCaseDto

* Additional properties are NOT allowed.
agencyIdstring | null
agencyNamestring | null
idstring(uuid)
carrierCodearray | null[string]
submittedboolean
titlestring | null
caseManagementCaseIdstring | null
eAppIdstring | null
planCodearray | null[string]
allowAgentEditboolean
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
transactionTypestring

Allowed values:REPLACEMENTNONREPLACEMENTCONVERSION

isMecboolean
originalFaceAmountnumber | null(double)
illustrationsarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
lastModifiedstring(date-time)
lastModifiedBystring | null
createdBystring | null
creatorNamestring | null
patch/client-case-manager/v1/client-case/{caseId}

Body

{}
 
application/json

Create a new client case

post
https://dev.api.zinnia.io/client-case-manager/v1/client-case

Body

ClientCaseCreationInputDto

* Additional properties are NOT allowed.
agencyIdstringrequired

>= 1 characters

titlestringrequired

>= 1 characters

caseManagementCaseIdstring | null
eAppIdstring | null
planCodearray | null[string]
allowAgentEditboolean
agentDetailsobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
transactionTypestring

Allowed values:REPLACEMENTNONREPLACEMENTCONVERSION

isMecboolean
originalFaceAmountnumber | null(double)
creatorNamestring | null

Response

application/json

Client case created successfully

ClientCaseDto

* Additional properties are NOT allowed.
agencyIdstring | null
agencyNamestring | null
idstring(uuid)
carrierCodearray | null[string]
submittedboolean
titlestring | null
caseManagementCaseIdstring | null
eAppIdstring | null
planCodearray | null[string]
allowAgentEditboolean
agentDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
insuredDetailsobject
* Additional properties are NOT allowed.
Show Child Parameters
transactionTypestring

Allowed values:REPLACEMENTNONREPLACEMENTCONVERSION

isMecboolean
originalFaceAmountnumber | null(double)
illustrationsarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
lastModifiedstring(date-time)
lastModifiedBystring | null
createdBystring | null
creatorNamestring | null
post/client-case-manager/v1/client-case

Body

{ "agencyId": "agencyId", "title": "title", "agentDetails": { "sellingCode": "sellingCode" }, "insuredDetails": { "sexAtBirth": "MALE", "dateOfBirth": "dateOfBirth", "nicotineUser": false, "state": "state" } }
 
application/json

Search for client cases

Search for client cases using query parameters as filters. Returns all client cases accessible by the logged user that match all filters specified. If no filters are specified returns all client cases accessible by the logged user

get
https://dev.api.zinnia.io/client-case-manager/v1/client-case/search

Query Parameters

titlestring
agentFirstNamestring
agentLastNamestring
insuredFirstNamestring
insuredLastNamestring
eAppIdstring
caseManagementCaseIdstring
creatorNamestring
offsetinteger(int32)

Default:0

>= 0<= 2147483647

limitinteger(int32)

Default:50

>= 1<= 100

sortBystring

Allowed values:TitleAgentFirstNameAgentLastNameInsuredFirstNameInsuredLastNameLastModified

sortDirstring

Allowed values:AscendingDescending

Response

200 application/json

Search executed successfully. List of client case summaries is returned

ClientCaseSummaryDtoResultsPage

* Additional properties are NOT allowed.
countinteger(int64)
nextstring | null
previousstring | null
resultsarray | null[object]
* Additional properties are NOT allowed.
Show Child Parameters
get/client-case-manager/v1/client-case/search
 
200 application/json